Subject: bug#29095: Bug: The '20a09de953f437109a098fa8c4d380663d921481' merge increased my Emacs configuration loading time from 9 s to 60 s

From: martin rudalics <[email-masked]>
Date: Wed, 08 Nov 2017 08:13:45 +0100

> It occurs to me that another possibility is simply to disable the
 > timeout when doing the auto-raise.  We have the timeout due some users'
 > configurations accidentally relying on the fact that a frame will be
 > visible after make-frame returns, but it seems unlikely that anyone
 > would manage to rely on the frame being visible after a call to
 > `message' occurs.

But missing a message from an auto-raising frame does not sound like a
good idea either.  That is, if the timeout is supposed to catch a
problem with the Emacs/window manager interaction and to prevent Emacs
from proceeding until some user decision based on something to be shown
in a visible frame has been made.

I wish we would have had the courage to go through with your first
solution - omit such waits completely.  I'm still surprised that we had
so few complaints back then ...

martin